<?php
/*
 // K2 Maps V1.3
 // Copyright (c) 2009 - 2010 K2joom.com. All rights reserved.
 // Released under the GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 // More info at http://www.k2joom.com
 // Last update: 1st April 2010
 // Change Log
 //
 // V1.0 	Initial Release
 // V1.1 	Removed display instance from Category and Category View, only displays in the K2 Item page
 // V1.2 - 	Updated by Nick Texidor (nick@texidor.com) nick.texidor.com
 //	 		Fixed order of co-ordinates passed to Google Maps
 //			Changed order of fields on screen to be more standard
 //			Fixed function name
 //			Various code fixes
 //			Centered Map output
 // V1.3 - 	Added new field (Popup Text) for use by K2DynaMap Module - Nick Texidor (nick@texidor.com) nick.texidor.com
*/

// no direct access
defined('_JEXEC') or die ('Restricted access');
JLoader::register('K2Plugin', JPATH_ADMINISTRATOR.DS.'components'.DS.'com_k2'.DS.'lib'.DS.'k2plugin.php');

/**
 * K2 Plugin to display Google map in a K2 Item.
 */

class plgK2Maps extends K2Plugin {

	// Some params
	var $pluginName = 'maps';
	var $pluginNameHumanReadable = 'Google Maps';

	function plgK2Maps( & $subject, $params) {
	
		parent::__construct($subject, $params);
	}

	// Event to display the Map.
	function onK2AfterDisplayContent( & $item, & $params, $limitstart) {
	
		global $mainframe;
	
		$plugin = & JPluginHelper::getPlugin('k2', 'maps');
		$pluginParams = new JParameter($plugin->params);
		$view	= JRequest::getCmd('view');
	
		$plugins = new K2Parameter($item->plugins, '', $this->pluginName);
		$latitude = $plugins->get('latitude');
		$longitude = $plugins->get('longitude');
		$marker = $plugins->get('marker');
		$color = $plugins->get('color');
		$zoom = $plugins->get('zoom', 12);
		$width = $plugins->get('width', 400);
		$height = $plugins->get('height', 200);
		$type = $plugins->get('type', 'roadmap');
		//$popuptxt = $plugins->get('popuptxt'); - Not needed here.. used only by K2 DynaMap Module

		if ($view == 'item') {
			if ($longitude=="") {
				$output  = '';
			} else {
				$output  = '<br />';
				$output .= '<center><img src="http://maps.google.com/maps/api/staticmap?center='.$latitude.','.$longitude.'&zoom='.$zoom.'&size='.$width.'x'.$height.'&maptype='.$type.'&markers=color:'.$color.'|label:'.$marker.'|'.$latitude.','.$longitude.'&sensor=false"/></center>';
			}
		}

		return $output;
	}
}